import App from './App'
import uView from '@/uni_modules/uview-ui'
import store from './store' // store
import plugins from './plugins' // plugins
import Vue from 'vue'
Vue.use(plugins)
Vue.use(uView)
uni.$u.config.unit = 'rpx'
Vue.config.productionTip = false
Vue.prototype.$store = store

// #ifndef VUE3
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif